/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2022 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli;

import java.io.InputStream;
import java.net.URL;

/**
 * @author Andres Almiray
 */
public interface IkonHandler {
    boolean supports(String description);

    Ikon resolve(String description);

    URL getFontResource();

    InputStream getFontResourceAsStream();

    String getFontFamily();

    Object getFont();

    void setFont(Object font);
}